MIME::Field::ConTraEnc(3)

NAME
MIME::Field::ConTraEnc - a "Content-transfer-encoding" field

DESCRIPTION
A subclass of Mail::Field.

Don't use this class directly... its name may change in the future! Instead, ask Mail::Field for new instances based on the field name!

SYNOPSIS
    use Mail::Field;
    use MIME::Head;

    # Create an instance from some text:
    $field = Mail::Field->new('Content-transfer-encoding', '7bit');

    # Get the encoding.
    #    Possible values: 'binary', '7bit', '8bit', 'quoted-printable',
    #    'base64' and '' (unspecified).  Note that there can't be a
    #    single default for this, since it depends on the content type!
    $encoding = $field->encoding;

SEE ALSO
MIME::Field::ParamVal, Mail::Field

AUTHOR
Eryq (eryq@zeegee.com), ZeeGee Software Inc (http://www.zeegee.com). Dianne Skoll (dfs@roaringpenguin.com) http://www.roaringpenguin.com